<?php

/*
 * @component UserPoints
 * @copyright Copyright (C) 2015-2022 Bernard Gilly - Adrien Roussel - Martin Brampton
 * @license : GNU/GPL
 * @Website : https://remository.com
 */

namespace BlackSheepResearch\Component\UserPoints\Site\Controllers;

// no direct access
defined('_JEXEC') or die('Restricted access');

use BlackSheepResearch\Component\UserPoints\Site\UserController;

/**
 * @package UserPoints
 */

require_once JPATH_ROOT.'/components/com_userpoints/src/Problems/PurchaseUpdate.php';

class PurchasetestControl extends UserController {

    public function display($cachable = false, $urlparams = []) {
        payment_update('deac3c70b577be75bbda1f5615d5e924');
        echo "Called payment_update";
    }

}